overcloud deployment failing with "json.decoder.JSONDecodeError: Extra data: line 1 column 7 (char 6)"

Solution In Progress - Updated -

Issue

  • Error seen while running the overcloud deployment :
[stack@undercloud ~]$ source stackrc
(undercloud) [stack@undercloud ~]$ sh overcloud.sh --debug
Running "openstack overcloud deploy" command
Removing the current plan files
Uploading new plan files
Temporary Swift GET/PUT URL parameters have successfully been updated.
Plan updated.
Processing templates in the directory /tmp/tripleoclient-8jpt8_jh/tripleo-heat-templates
Action tripleo.parameters.update execution failed: Error validating environment for plan viper: ERROR: Internal Error
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/heat/engine/parameters.py", line 455, in parse
    return jsonutils.loads(val)
  File "/usr/lib/python3.6/site-packages/oslo_serialization/jsonutils.py", line 264, in loads
    return json.loads(encodeutils.safe_decode(s, encoding), **kwargs)
  File "/usr/lib64/python3.6/json/__init__.py", line 354, in loads
    return _default_decoder.decode(s)
  File "/usr/lib64/python3.6/json/decoder.py", line 342, in decode
    raise JSONDecodeError("Extra data", s, end)
json.decoder.JSONDecodeError: Extra data: line 1 column 7 (char 6)

During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/oslo_messaging/rpc/server.py", line 165, in _process_incoming
    res = self.dispatcher.dispatch(message)
  File "/usr/lib/python3.6/site-packages/oslo_messaging/rpc/dispatcher.py", line 274, in dispatch
    return self._do_dispatch(endpoint, method, ctxt, args)
  File "/usr/lib/python3.6/site-packages/oslo_messaging/rpc/dispatcher.py", line 194, in _do_dispatch
    result = func(ctxt, **new_args)
  File "/usr/lib/python3.6/site-packages/osprofiler/profiler.py", line 160, in wrapper
    result = f(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/heat/common/context.py", line 423, in wrapped
    return func(self, ctx, *args, **kwargs)
  File "/usr/lib/python3.6/site-packages/heat/engine/service.py", line 1292, in validate_template
    strict_validate=False)
  File "/usr/lib/python3.6/site-packages/heat/engine/stack.py", line 220, in __init__
    parent_info)
  File "/usr/lib/python3.6/site-packages/heat/engine/stk_defn.py", line 43, in __init__
    template.env.param_defaults)
  File "/usr/lib/python3.6/site-packages/heat/engine/hot/template.py", line 222, in parameters
    param_defaults=param_defaults)
  File "/usr/lib/python3.6/site-packages/heat/engine/parameters.py", line 527, in __init__
    self.params[pd_name].set_default(param_default)
  File "/usr/lib/python3.6/site-packages/heat/engine/parameters.py", line 383, in set_default
    self._update_parsed()
  File "/usr/lib/python3.6/site-packages/heat/engine/parameters.py", line 390, in _update_parsed
    self.parsed = self.parse(self.default())
  File "/usr/lib/python3.6/site-packages/heat/engine/parameters.py", line 458, in parse
    raise ValueError(message)
ValueError: Value must be valid JSON: Extra data: line 1 column 7 (char 6)


real    2m4.765s
user    0m2.896s
sys     0m0.585s

Environment

  • Red Hat OpenStack Platform 16.0 (RHOSP)

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In